package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.UserCollection;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.UserCollectionMapper")
public interface UserCollectionMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(UserCollection record);

    UserCollection selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserCollection record);

    List<UserCollection> queryAllUserCollection(UserCollection record);

    List<UserCollection> queryUserCollectionByPage(Map<String, Object> parameter);

    int delete(String id);

    UserCollection queryUserCollection(UserCollection record);

    List<UserCollection> query(UserCollection record);
}

